===
ネットワーク構築の授業で使用したコマンド
===
Packet Tracerで打ち込んだコマンド集です。
# 1. 概要とネットワークアクセス機器
## 1-1. Packet Tracer
1-1.pkt
Router>enable
Router#config terminal
Enter configuration commands, one per line.  End with CNTL/Z.
Router(config)#hostname R1
Router(config)#end

R1#show ip interface brief

# 2. ルータ，ダイナミックルーティング(RIP，OSPF)とVLAN
## 2-1. スタティックルーティング
2-1.pkt
### ルータR1の設定
#### ユーザモード->特権モード->設定モード
Router>enable
Router#configure terminal
#### ルータ名をR1に設定
Router(config)#hostname R1
#### 4つのインターフェースにIPアドレスを設定
R1(config)#int f0/0
R1(config-if)#ip address 10.0.0.1 255.255.255.0
R1(config-if)#no shutdown

R1(config-if)#interface f0/1
R1(config-if)#ip address 10.0.1.1 255.255.255.0
R1(config-if)#no shutdown

R1(config-if)#int f1/0
R1(config-if)#ip address 10.0.2.1 255.255.255.0
R1(config-if)#no shut

R1(config-if)#int f1/1
R1(config-if)#ip address 10.0.3.1 255.255.255.0
R1(config-if)#no shut

R1(config-if)#end
#### ルーティングテーブル確認
R1#show ip route
#### PC1で確認
Desktop>Command Prompt
C:\>ping 10.0.2.10
C:\>tracert 10.0.2.10

#### R2を設定
Router>enable
Router#conf t
Router(config)#hostname R2

R2(config)#int f0/0
R2(config-if)#ip add 10.0.0.2 255.255.255.0
R2(config-if)#no shut

R2(config-if)#int f0/1
R2(config-if)#ip add 10.1.0.2 255.255.255.0
R2(config-if)#no shut

#### R3を設定
Router>enable
Router#conf t
Router(config)#hostname R3

R3(config)#int f0/1
R3(config-if)#ip add 10.1.0.1 255.255.255.0
R3(config-if)#no shut

R3(config-if)#int f0/0
R3(config-if)#ip add 10.1.1.2 255.255.255.0
R3(config-if)#no shut

#### R4を設定
Router>enable
Router#conf t
Router(config)#hostname R4

R4(config)#int f0/0
R4(config-if)#ip add 10.1.1.1 255.255.255.0
R4(config-if)#no shut

R4(config-if)#int f0/1
R4(config-if)#ip add 10.1.2.1 255.255.255.0
R4(config-if)#no shut

R4(config-if)#int f1/0
R4(config-if)#ip add 10.1.3.1 255.255.255.0
R4(config-if)#no shut

#### PC3でping R4まで（10.1.2.1）
C:\>ping 10.1.2.1

#### スタティックルーティング（コピー用）
##### R1
ip route 10.1.0.0 255.255.255.0 10.0.0.2
ip route 10.1.1.0 255.255.255.0 10.0.0.2
ip route 10.1.2.0 255.255.255.0 10.0.0.2
ip route 10.1.3.0 255.255.255.0 10.0.0.2
##### R2
ip route 10.0.1.0 255.255.255.0 10.0.0.1
ip route 10.0.2.0 255.255.255.0 10.0.0.1
ip route 10.0.3.0 255.255.255.0 10.0.0.1
ip route 10.1.1.0 255.255.255.0 10.1.0.1
ip route 10.1.2.0 255.255.255.0 10.1.0.1
ip route 10.1.3.0 255.255.255.0 10.1.0.1
##### R3
ip route 10.0.0.0 255.255.255.0 10.1.0.2
ip route 10.0.1.0 255.255.255.0 10.1.0.2
ip route 10.0.2.0 255.255.255.0 10.1.0.2
ip route 10.0.3.0 255.255.255.0 10.1.0.2
ip route 10.1.2.0 255.255.255.0 10.1.1.1
ip route 10.1.3.0 255.255.255.0 10.1.1.1
##### R4
ip route 10.1.0.0 255.255.255.0 10.1.1.2
ip route 10.0.0.0 255.255.255.0 10.1.1.2
ip route 10.0.1.0 255.255.255.0 10.1.1.2
ip route 10.0.2.0 255.255.255.0 10.1.1.2
ip route 10.0.3.0 255.255.255.0 10.1.1.2
#### PC3でテスト
C:\>ping 10.0.2.10

## 2-2. ダイナミックルーティング（RIP）
2-2.pkt
### RIP v1を設定
R1>enable
R1#config terminal
Enter configuration commands, one per line.  End with CNTL/Z.
R1(config)#router rip
R1(config-router)#network 10.0.0.0
R1(config-router)#no auto-summary
#### R2〜R5
enable
config terminal

router rip
network 10.0.0.0
no auto-summary
### debug
R1#debug ip rip
R1#no debug ip rip (もしくは undebug all)
### バージョン2
router rip
version 2
#### ルーティングテーブル確認
R1#show ip route
### OSPFの例
R1(config)#router ospf 1
R1(config-router)#network 10.0.0.0 0.255.255.255 area 0
##### 全ルータに設定
router ospf 1
network 10.0.0.0 0.255.255.255 area 0
#### ルーティングテーブル確認
R1#show ip route
### R2のｆ0/0を切ってみる
R2#conf t
Enter configuration commands, one per line.  End with CNTL/Z.
R2(config)#int f0/0
R2(config-if)#shutdown

## 2-3. OSPF
2-3.pkt
### ループバックアドレスの設定
R1#conf t
R1(config)#interface loopback0
R1(config-if)#ip address 192.168.0.1 255.255.255.255
#### R2（〜R5） コピー用
conf t
int loopback0
ip address 192.168.0.2 255.255.255.255
### OSPF設定（R1〜R5）
R1(config)#router ospf 1
R1(config-router)#network 10.0.0.0 0.255.255.255 area 0
R1(config-router)#network 192.168.0.0 0.0.0.255 area 0

router ospf 1
network 10.0.0.0 0.255.255.255 area 0
network 192.168.0.0 0.0.0.255 area 0
#### Router ID チェック
R1#show ip protocols
 Router IDが192.168.0.1になっていることを確認
#### OSPF近隣確認
R1#show ip ospf neighbor
#### ルーティングテーブル確認
R1#show ip route

## 2-4. VLAN
2-4.pkt
### SW1を確認
SW1>enable
SW1#show vlan brief
SW1#show interface gig0/1 switchport
### SW間をトランクモードに設定
SW1#config terminal
SW1(config)#int g0/1
SW1(config-if)#switch mode trunk

SW2>enable
SW2#conf t
SW2(config)#int g0/1
SW2(config-if)#switch trunk encap dot1q
SW2(config-if)#switch mode trunk
SW2(config-if)#int g0/2
SW2(config-if)#switch trunk encap dot1q
SW2(config-if)#switch mode trunk

SW3>enable
SW3#conf t
Enter configuration commands, one per line.  End with CNTL/Z.
SW3(config)#int g0/2
SW3(config-if)#switch mode trunk

### SW1をVTPサーバー Schooに
SW1(config-if)#vtp domain Schoo
SW1(config)#vtp mode server
#### SW2は透過 
SW2(config)#vtp mode transparent
#### SW3はクライアント
SW3(config)#vtp mode client
SW3(config)#vtp domain Schoo

### VLANを設定　SW1，SW2
SW1(config)#vlan 10
SW1(config-vlan)#name Eng
SW1(config-vlan)#vlan 20
SW1(config-vlan)#name Sales
SW1(config-vlan)#vlan 199
SW1(config-vlan)#name Native
#### SW2（コピー用）
vlan 10
name Eng
vlan 20
name Sales
vlan 199
name Native
### SW3は自動で設定
SW3#show vlan brief

### EngはVLAN10， SalesはVLAN20に接続
SW1(config)#int range f0/1 - 2
SW1(config-if-range)#switch mode access
SW1(config-if-range)#switch access vlan 10
SW1(config-if-range)#int f0/3
SW1(config-if)#switch mode access
SW1(config-if)#switch access vlan 20

SW3(config)#int range f0/1 - 2
SW3(config-if-range)#switch mode access
SW3(config-if-range)#switch access vlan 20
SW3(config-if-range)#int f0/3
SW3(config-if)#switch mode access
SW3(config-if)#switch access vlan 10
### ENG1からENG3にping
C:\>ping 10.10.10.12
### SALES1からSALES3にping
C:\>ping 10.10.20.12

# 3.TCP/IPプロトコル
## 3-1. DHCPサーバの設定
3-1.pkt
### DHCPクライアント
R1>enable
R1#config terminal
Enter configuration commands, one per line.  End with CNTL/Z.
R1(config)#interface f0/0
R1(config-if)#ip address dhcp
R1(config-if)#no shutdown

R1#show ip int brief
R1#show dhcp lease

### DHCPサーバ
R1#config terminal
R1(config)#ip dhcp excluded-address 10.10.10.1 10.10.10.10
R1(config)#ip dhcp pool Schoo
R1(dhcp-config)#default-router 10.10.10.1
R1(dhcp-config)#dns-server 10.10.20.10
R1(dhcp-config)#network 10.10.10.0 255.255.255.0

#### PC1，PC2で確認
C:\>ipconfig /all
C:\>ping dnsserver 

#### R1で確認
R1#show ip dhcp binding

#### 次のセクションに向けてDHCP削除
R1#conf t
R1(config)#no ip dhcp excluded-address 10.10.10.1 10.10.10.10
R1(config)#no ip dhcp pool Schoo

#### PC1，PC2
C:\>ipconfig /release
C:\>ipconfig /renew

### 外部DHCPサーバ
R1(config)#interface f0/1
R1(config-if)#ip helper-address 10.10.20.10

#### PC1，PC2の設定を確認（10.10.10.100）
C:\>ipconfig /all

## 3−2. パケットの流れ（DNS）
3-2.pkt
### DNSサーバを使うように設定
R1>enable
R1#conf t
R1(config)#ip domain-lookup
R1(config)#ip name-server 10.10.10.10
#### R2，R3(コピー用）
enable
conf t
ip domain-lookup
ip name-server 10.10.10.10
#### 設定確認 R1
R1#ping R2
R1#ping R3
###### R3
R3#ping R1
R3#ping R2
### APRキャッシュを確認
R1#show arp
R2#show arp
R3#show arp

## 3-3. IPv6
3-3.pkt
### ルーティング確認
R1#show ip route
#### R2，R3も確認（コピー用）
show ip route
#### ping確認
PC1#ping 10.10.3.10

### IPv6設定
#### ルータ
R1#conf t
R1(config)#int f0/1
R1(config-if)#ipv6 address 2001:db8::1/64
R1(config-if)#no shutdown
R1(config-if)#exit
R1(config)#int f0/0
R1(config-if)#ipv6 address 2001:db8:0:1::1/64
R1(config-if)#no shutdown

R2#conf t
R2(config)#int f0/0
R2(config-if)#ipv6 address 2001:db8:0:1::2/64
R2(config-if)#no shut
R2(config-if)#exit
R2(config)#int f0/1
R2(config-if)#ipv6 address 2001:db8:0:2::2/64
R2(config-if)#no shut

R3#conf t
R3(config)#int f0/0
R3(config-if)#ipv6 address 2001:db8:0:2::1/64
R3(config-if)#no shut
R3(config-if)#exit
R3(config)#int f0/1
R3(config-if)#ipv6 address 2001:db8:0:3::1/64
R3(config-if)#no shut

#### PC
PC1#conf t
Enter configuration commands, one per line.  End with CNTL/Z.
PC1(config)#int f0/0
PC1(config-if)#ipv6 address 2001:db8::/64 eui-64
PC1(config-if)#no shut

PC2#conf t
Enter configuration commands, one per line.  End with CNTL/Z.
PC2(config)#int f0/0
PC2(config-if)#ipv6 address 2001:db8:0:3::/64 eui-64
PC2(config-if)#no shut

### リンクローカルアドレス確認
#### R1
R1#show ipv6 interface brief
#### PC1，PC2
PC1#show ipv6 interface brief
PC2#show ipv6 interface brief

### リンクローカルアドレス設定
R1#conf t
R1(config)#int f0/0
R1(config-if)#ipv6 address fe80::1 link-local
R1(config-if)#exit
R1(config)#int f0/1
R1(config-if)#ipv6 address fe80::1 link-local

R2(config)#int f0/0
R2(config-if)#ipv6 address fe80::2 link-local
R2(config-if)#exit
R2(config)#int f0/1
R2(config-if)#ipv6 address fe80::2 link-local

R3(config)#int f0/0
R3(config-if)#ipv6 address fe80::3 link-local
R3(config-if)#exit
R3(config)#int f0/1
R3(config-if)#ipv6 address fe80::3 link-local

### 確認
R1#show ipv6 int brief
### ping
R2#ping fe80::1
R2#ping fe80::3
### 近隣確認
R2#show ipv6 neighbors

# 4. セキュリティ設定
## 4-1. ACL
4-1.pkt
### 疎通確認 
#### PC1
Desktop>Command Prompt
C:\>ping 10.0.1.11  # PC2
C:\>ping 10.0.2.10  # PC3
C:\>ping 10.0.1.1  # R1
C:\>ping 10.0.0.2  # R2
#### PC3
C:\>ping 10.0.2.1 # R1
C:\>ping 10.0.0.2  # R2
### ACL設定 R1
R1#conf t
R1(config)#access-list 1 deny 10.0.2.0 0.0.0.255
R1(config)#access-list 1 permit 10.0.1.0 0.0.0.255

R1(config)#interface f0/0
R1(config-if)#ip access-group 1 out
### 疎通確認
#### PC1とPC2からはR2にpingが通る
C:\>ping 10.0.0.2
#### PC3からは通らない
C:\>ping 10.0.0.2

##### 他は通ることを確認 from PC3
C:\>ping 10.0.1.10
C:\>ping 10.0.1.11

## 4-2. セキュリティ設定例
ポートセキュリティの設定
### 使っていないポートを止める
#### SW1のポート確認
SW1>enable
SW1#show ip interface brief
#### 使っていないポートを止める
SW1#config terminal

SW1(config)#interface range f0/3-24
SW1(config-if-range)#shutdown

SW1(config-if-range)#interface range g0/1 - 2
SW1(config-if-range)#shutdown

### PC1のMACアドレスだけ許可する
PC1のMACアドレスチェック
Desktop>Command Prompt
C:\>ipconfig /all

   Physical Address................: 0000.1111.1111

C:\>ping 10.10.10.11

#### R1でMACアドレステーブル確認
SW1#show mac address-table
#### ポートセキュリティ設定
SW1#conf t
SW1(config)#interface f0/1
SW1(config-if)#switchport mode access
SW1(config-if)#switchport port-security
SW1(config-if)#switchport port-security maximum 2
SW1(config-if)#switchport port-security mac-address 0000.1111.1111

SW1(config-if)#interface f0/2
SW1(config-if)#switchport mode access
SW1(config-if)#switchport port-security
#### ping疎通確認
PC2 -> PC1
C:\>ping 10.10.10.10
#### SW1のポートセキュリティ確認
SW1#show port-security address
SW1#show port-security interface f0/1
SW1#show port-security interface f0/2

## 4-3. WLANのセキュリティ設定
4-3.pkt
### サーバーで設定
#### DNS設定（画面 名前変更）
- Service -> DNS
Name: wlc
Type: A Record
Address: 192.168.10.11
- Add
### PC（Admin Laptop）で確認
C:\>nslookup wlc
#### VLAN確認
Switch#show vlan brief
Switch#show ip interface brief | include Vlan
### Admin Laptopからping
Desktop > Command Prompt
C:\>ping 192.168.10.11
- 閉じてWebブラウザ
https://wlc
ユーザ名: cisco パスワード: schoo
### セキュリティ設定
認証サーバ（RADIUS Server）設定
Security AAA>RADIUS>AUthentication
- New
Server IP Address: 192.168.11.10
Server Secret（RADIUSサーバと同じもの）schoo
#### WLAN できれば
WLANSでSSID設定
SSID Schooを作成して，WLANSでSecurity>Layler2 Security WPA+WPA2

## 4-4. NAT
4-4.pkt
### 静的NAT
R1#conf t
R1(config)#int f0/0
R1(config-if)#ip nat outside
R1(config-if)#int f0/1
R1(config-if)#ip nat inside
R1(config-if)#exit

R1(config)#ip nat inside source static 10.0.1.10 203.0.113.3
#### INT-S1 -> EXT-S1で疎通確認
INT-S1のCommand Prompt
C:\>ping 203.0.113.20
#### EXT-S1からブラウザでチェック
EXT-S1のWebブラウザ
https://203.0.113.3
### 動的NAT
R1(config)#int f1/0
R1(config-if)#ip nat inside
R1(config)#ip nat pool Schoo 203.0.113.4 203.0.113.12 netmask 255.255.255.240
R1(config)#access-list 1 permit 10.0.2.0 0.0.0.255
R1(config)#ip nat inside source list 1 pool Schoo

- デバッグをON
R1#debug ip nat
#### PC1で疎通確認
PC1のCommand Prompt
C:\>ping 203.0.113.20
#### R1でNATを確認
R1#sh ip nat translation
#### リセット処理
R1#no debug ip nat
R1#clear ip nat translation *

### PAT
R1#conf t
R1(config)#int f0/0
R1(config-if)#no ip address
R1(config-if)#ip address dhcp

R1(config-if)#int f0/0
R1(config-if)#no shutdown
R1(config-if)#end

R1#show ip int brief
 - DHCPでの割り当て確認

R1#conf t
R1(config)#int f0/0
R1(config-if)#ip nat outside
R1(config-if)#int f1/0
R1(config-if)#ip nat inside
R1(config-if)#exit

R1(config)#access-list 1 permit 10.0.2.0 0.0.0.255
R1(config)#ip nat inside source list 1 interface f0/0 overload

#### PC1とPC2のブラウザから確認
https://203.0.113.20

#### PATを確認
R1#show ip nat translation

# 5. ネットワーク管理
## 5-1. SNMP
5-1.pkt
### SNMPコミュニティ設定
R1#conf t
R1(config)#snmp-server community Schoo1 ro
R1(config)#snmp-server community Schoo2 rw
#### SYSLOG設定
R1(config)#logging 10.0.0.100
R1(config)#logging trap debugging

R1(config)#end
R1#show logging
  - Trap logging: level debugging, 3 message lines logged
### Enable / Disableを試す
R1#conf t
R1(config)#int f0/1
R1(config-if)#no shutdown

R1(config-if)#shutdown
### SYSLOG確認
サーバー（10.0.0.100）で，Services-> SYSLOGを確認

## 5-2. トラブルシューティング
5-2.pkt
### DNSサーバ接続のトラブルシューティング
#### R3からtelnet
R3>enable
R3#telnet 10.10.10.10
 - connection timed out
#### DNSサーバ確認
DNSサーバ 10.10.10.10 53
Services > DNSで，DNSレコードがあることを確認
### 状況確認
#### ping
R3#ping 10.10.10.10
- 失敗することを確認
#### traceroute
R3#traceroute 10.10.10.10
- 10.10.20.2（R2のF1/0ポート）までは届いていることを確認
### R2確認
R2>enable
R2#show ip interface brief
- F0/0 10.10.10.2 がダウンしていることを確認
### R2修正
R2#conf t
R2(config)#interface f0/0
R2(config-if)#no shutdown
- link up
### R3で確認
R3#ping 10.10.10.10
pingが成功することを確認
### DNSで名前解決して通信
R3#ping R1
- 時間がかかって失敗する
- 10.10.10.1はR1で，domain serverではない
### R3のDNSサーバの設定変更
R3#conf t
R3(config)#no ip name-server 10.10.10.1
R3(config)#ip name-server 10.10.10.10
R3(config)#end
- domain serverが合っているのに失敗？
#### DNSサーバ確認
DNSサーバ 10.10.10.10
Services > DNSで，DNSレコードがあることを確認
- OFFになっているのでONにする

# 6. 冗長化，自動化とプログラマビリティ
## 6-1. STP
6-1.pkt
### CD1設定
CD1>enable
CD1#conf t
CD1(config)#spanning-tree vlan 10 root primary
#### チェック
CD1#show spanning-tree vlan 10
CD2#show spanning-tree vlan 10
Acc3#show spanning-tree vlan 10
Acc4#show spanning-tree vlan 10
### PortfastとBPUD Guardを設定
#### Acc3，Acc4 f0/1
Acc3#conf t
Acc3(config)#int f0/1
Acc3(config-if)#spanning-tree portfast
Acc3(config-if)#spanning-tree bpduguard enable

#### Acc4（コピー用）
conf t
int f0/1
spanning-tree portfast
spanning-tree bpduguard enable

#### CD1，CD2 G0/1（コピー用）
conf t
int g0/1
spanning-tree portfast
spanning-tree bpduguard enable

## 6-2. EtherChannel
6-2.pkt
### Acc3-CD1 
#### Acc3設定
Acc3#conf t
Acc3(config)#interface range f0/23 - 24
Acc3(config-if-range)#channel-group 1 mode active
Acc3(config-if-range)#exit
Acc3(config)#interface port-channel 1
Acc3(config-if)#description Link to CD1
Acc3(config-if)#switchport mode trunk
Acc3(config-if)#switchport trunk native vlan 199
#### CD1設定
CD1>enable
CD1#conf t
CD1(config)#interface range f0/23 - 24
CD1(config-if-range)#channel-group 1 mode active
CD1(config-if-range)#exit
CD1(config)#interface port-channel 1
CD1(config-if)#description Link to Acc3
CD1(config-if)#switchport mode trunk
CD1(config-if)#switchport trunk native vlan 199
### Acc3-CD2
#### Acc3設定
Acc3(config-if)#interface range f0/21 - 22
Acc3(config-if-range)#channel-group 2 mode active
Acc3(config-if-range)#exit
Acc3(config)#interface port-channel 2
Acc3(config-if)#description Link to CD2
Acc3(config-if)#switchport mode trunk
Acc3(config-if)#switchport trunk native vlan 199
#### CD2設定
CD2>enable
CD2#conf t
CD2(config)#interface range f0/21 - 22
CD2(config-if-range)#channel-group 2 mode active
CD2(config-if-range)#exit
CD2(config)#interface port-channel 2
CD2(config-if)#description Link to Acc3
CD2(config-if)#switchport mode trunk
CD2(config-if)#switchport trunk native vlan 199
### 確認
#### Acc3:
Acc3#show etherchannel summary
#### CD1，CD2でも確認（コピー用）
show etherchannel summary

## 6-3. HSRP
6-3.pkt
### HSRPインタフェースのIPアドレス確認
R1>enable
R1#show ip interface brief
#### g0/1に物理アドレスと仮想アドレスを設定
R1(config)#interface g0/1
R1(config-if)#ip address 10.10.10.2 255.255.255.0
R1(config-if)#no shutdown
R1(config-if)#standby 1 ip 10.10.10.1
#### R2もg0/1に物理アドレスと仮想アドレスを設定
R2>enable
R2#conf t
R2(config)#interface g0/1
R2(config-if)#ip address 10.10.10.3 255.255.255.0
R2(config-if)#no shutdown
R2(config-if)#standby 1 ip 10.10.10.1
### HSRP確認
#### ルータから
R1#show standby
### MACアドレス確認
- 物理アドレス
R2#show interface g0/1
- 仮想アドレス　0000.0C07.AC01
R2#show standby

#### PC1のarpテーブル
#### PCから
PC1 Desktop > Command Prompt
C:\>ping 10.10.10.1
C:\>arp -a
- 仮想アドレスが使われていることを確認
### 優先度の設定
R1#conf t
R1(config)#interface g0/1
R1(config-if)#standby 1 priority 110
R1(config-if)#end

R1#show standby

R2#conf t
R2(config)#interface g0/1
R2(config-if)#standby 1 priority 120
R2(config-if)#end

#### pre-emotionをしないと切り替わらない（R2で）
R2#conf t
R2(config)#int g0/1
R2(config-if)#standby 1 preempt
R2(config-if)#end

R2#show standby
